<?php
include("qs.php");
require( '../data/config.php');
$conn=mysql_connect($db_host,$db_user,$db_pass);
mysql_query("set names 'utf8'");
mysql_select_db($db_name);
if (PHP_VERSION >= '5.1' && !empty($timezone))
{
    date_default_timezone_set($timezone);
}
$qs=explode(",",$_SESSION["tm_qs"]);
if($qs[0]==0)
   {
   echo "<script>location.href='main.php';</script>";
   exit();
   }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<HTML xmlns="http://www.w3.org/1999/xhtml">
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META http-equiv="Pragma" content="no-cache" />
<LINK href="css/general.css" rel="stylesheet" type="text/css" />
<LINK href="css/main.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="js/jquery.js"></script>
</HEAD><BODY>
<?php
$action=_post('action');
if($action=="edit")
{
$oldpass=md5($_POST[user]);
$newpass=md5($_POST[pass]);
$user=$_SESSION["tm_admin"];
$id=$_SESSION["tm_id"];
$sql="select * from tm_admin where id='$id' and pass='$oldpass'";
$result=mysql_fetch_row(mysql_query($sql));
if($result){
 $sql="update tm_admin set pass='$newpass' where id='$id'";
  mysql_query($sql);
  echo "<script>alert('更新成功');location.href='adminpass.php';</script>";
}
else
{
echo ("<script type='text/javascript'> alert('不可更新，旧密码错误');history.go(-1);</script>");
exit();
}
}
?>
<div class="h2">系统管理 >> 友情链接管理</div>
<div class="list-div">

<table cellspacing='1' cellpadding='3'>
<tr>
  <th align='left'><table width="100" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td><div align="left">&nbsp;&nbsp;友情链接管理</div></td>
        <td width="150"><div align="center"><h1><span class="action-span"><a href="link_w.php">添加</a></span></h1></div></td>
      </tr>
    </table></th>
</tr>
<tr><td align="left" valign="top" style="background:#F5F5F5;padding-bottom:8px;"><table cellspacing=0 cellpadding=0 width="97.5%" border=0 callpadding="0">
            </tbody>
            <form id="form2" name="form2" method="post" action="link_w.php">
              <tr>
                <td height="20" bgcolor="#999999" style="PADDING-LEFT: 8px; PADDING-TOP: 8px"><input type="checkbox" name="selall" title="全選"  onClick="select_all('form2','chkkindid[]',this.name)">
                  &nbsp;</td>
                <td width="21%" bgcolor="#999999" style="PADDING-LEFT: 8px; PADDING-TOP: 8px"><span class="STYLE1">链接名称</span></td>
                <td width="45%" bgcolor="#999999" style="PADDING-LEFT: 8px; PADDING-TOP: 8px">链接URL</td>
                <td width="15%" bgcolor="#999999" class="STYLE1"><div align="center">是否显示</div>
                    <div align="center"></div>
                  <div align="center" class="STYLE1"></div></td>
                <td bgcolor="#999999"><div align="center">操作</div></td>
              </tr>
              <?php 
		  $sql="select * from tm_link order by link_id desc";
		  $rsql=mysql_query($sql);
		  while($rs=mysql_fetch_object($rsql))
		  {
		  ?>
              <tr border="0" width="100%" bgcolor="#EEEEEE" onmousemove="this.style.color='#000000';this.style.backgroundColor='#D5D5D5'" onmouseout="this.style.backgroundColor='#EEEEEE';this.style.color='#000000'">
                <td width="6%"  height=25 
                align=left valign=top style="PADDING-LEFT: 8px; PADDING-TOP: 8px; border-bottom:#666666 dotted 1px;"><input name="chkkindid[]" type="checkbox" id="chkkindid[]" value="<?php echo $rs->link_id;?>" /></td>
                <td  height=25 
                align=left valign=top style="PADDING-LEFT: 8px; PADDING-TOP: 8px; border-bottom:#666666 dotted 1px;"><?php echo $rs->link_name;?></td>
                <td  height=25 
                align=left valign=top style="PADDING-LEFT: 8px; PADDING-TOP: 8px; border-bottom:#666666 dotted 1px;"><?php echo $rs->link_url;?></td>
                <td 
                align=left valign=top style="PADDING-LEFT: 8px; PADDING-TOP: 8px;border-bottom:#666666 dotted 1px;"><div align="center">
                    <?php if($rs->link_show==1) echo "<font color=red>是</font>"; else echo "<font color=#006600>否</font>";?>
                </div></td>
                <td width="13%" 
                align=left valign=top style="PADDING-LEFT: 8px; PADDING-TOP: 8px;border-bottom:#666666 dotted 1px;"><div align="center"><a href="link_w.php?id=<?php echo $rs->link_id;?>">更改</a> <a href="#"></a> </div></td>
              </tr>
              <?php }?>
              <tr border="0" width="100%">
                <td height="30"  colspan="5">&nbsp;&nbsp;
                    <input type="image" src="images/del.gif" align="absmiddle" border="0" name="del" onclick="javascript: return chkform(form2.name,'确定刪除吗,一般情况请不要删除哦？','del');" />
                     &nbsp;
                     <input name="action" type="hidden" id="action" />
                  &nbsp;&nbsp;&nbsp;</td>
              </tr>
            </form>
          </table></td>
</tr></table></div>

<?php include "boot.php";?>
</body></html>
<script language="JavaScript" >

function chkform(theForm,msg,action){
	if (confirm(msg)){

		document.forms[theForm].action.value = action;
		document.forms[theForm].submit();
		return true;
	}else{
		return false;
	}
}

// -------- 全選或取消 checkbox 方塊
<!--
function select_all(formName, elementName, selectAllName) {
	if(document.forms[formName].elements[selectAllName].checked) {
		
		if(document.forms[formName].elements[selectAllName].length = 1 &&
		    typeof(document.forms[formName].elements[elementName]) != "undefined" ) {
		
			document.forms[formName].elements[elementName].checked = true;

		    for(var i = 0; i < document.forms[formName].elements[elementName].length; i++)
			document.forms[formName].elements[elementName][i].checked = true;
		}
	}
	else {
		if(document.forms[formName].elements[selectAllName].length = 1 &&
		    typeof(document.forms[formName].elements[elementName]) != "undefined" ) {
			document.forms[formName].elements[elementName].checked = false;

		    for(var i = 0; i < document.forms[formName].elements[elementName].length; i++)
				document.forms[formName].elements[elementName][i].checked = false;
		}
	}
}
//-->
</script>